@ECHO off
CLS
IF !%1==! GOTO :error
ECHO CC.BAT                                Michael Turk  m.turk@uws.edu.au
ECHO Complies, links and executes a single program using COBOL650 and LINK
ECHO.
REM
REM MS-DOS 6.0 version   22 March 1993.
REM
REM Modified 5 December 2001 by Roger Cole
REM
REM The single parameter used by this batch file (%1) is
REM the first part of the name of the file you are going
REM to compile, link and execute.
REM
REM     ie:  To compile, link and execute TEST1.COB use TEST1.
REM
REM I have not found a way of feeding the program name to the
REM compiler so enter the name when asked and wait.
REM
REM This batch file assumes that you have the COBOL650 compiler and
REM all necessary files on your hard drive (C:) under the COBOL650
REM directory; otherwise, you will need to modify the subst command
REM
ECHO Device A: has been reassigned to C:\COBOL650
ECHO.
SUBST A: C:\COBOL650
ECHO Ready to compile %1.COB
ECHO Please enter the program name (%1) when asked by the compiler
ECHO and prepare to wait while compiling
ECHO and also to wait while generating listing
PAUSE
COBOL
CLS
ECHO.
ECHO Device A: has been reset to Default System Device
ECHO.
SUBST A: /D
ECHO Compilation completed, now ready to list
REM  No error checking ... next version of batch file
PAUSE
CLS
REM  Remove "| MORE" from TYPE statement to eliminate having to page
REM  through compile listing
ECHO Now listing %1.LST
TYPE %1.LST | MORE
ECHO Listing Complete, ready to link %1.OBJ. Enter Ctrl-C to quit,
ECHO Or press Enter to link %1.OBJ
PAUSE > nul
CLS
ECHO Linking %1.OBJ
REM
REM  You may have to remove the two commas from end of link line
REM  depending upon which linker you use.  This one works with
REM  Microsoft 5.6 Linker
REM
LINK %1 ,,,COBOL650,,
ECHO Enter Ctrl-C to quit, or press Enter to RUN %1
PAUSE > nul
CLS
ECHO Now executing %1.EXE
%1
GOTO:end
:error
ECHO Error - you must specify a program name after typing CC
:end
ECHO.  
REM End of Batch File


